com.ietnet.fse.igestore.pep

## Class LogHandler

- java.lang.Object
- - com.ietnet.fse.igestore.pep.LogHandler

- All Implemented Interfaces:
    javax.xml.ws.handler.Handler, javax.xml.ws.handler.soap.SOAPHandler

      public class LogHandler
      extends java.lang.Object
      implements javax.xml.ws.handler.soap.SOAPHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogHandler()`
    `LogHandler(java.lang.String destination)`
    `LogHandler(java.lang.String source, java.lang.String destination)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(javax.xml.ws.handler.MessageContext context)` Called at the conclusion of a message exchange pattern just prior to the JAX-WS runtime disptaching a message, fault or exception.
    `java.util.Set<javax.xml.namespace.QName>` | `getHeaders()`
    `boolean` | `handleFault(javax.xml.ws.handler.MessageContext context)` The `handleFault` method is invoked for fault message processing.
    `boolean` | `handleMessage(javax.xml.ws.handler.MessageContext context)` The `handleMessage` method is invoked for normal processing of inbound and outbound messages.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogHandler

          public LogHandler()

    - #### LogHandler

          public LogHandler(java.lang.String destination)

      Parameters:
        `destination` -

    - #### LogHandler

          public LogHandler(java.lang.String source,
                    java.lang.String destination)

      Parameters:
        `source` -
        `destination` -

  - ### Method Detail

    - #### getHeaders

          public java.util.Set<javax.xml.namespace.QName> getHeaders()

      Specified by:
        `getHeaders` in interface `javax.xml.ws.handler.soap.SOAPHandler`
      Returns:

    - #### handleMessage

          public boolean handleMessage(javax.xml.ws.handler.MessageContext context)

      The `handleMessage` method is invoked for normal processing of inbound and outbound messages. Refer to the description of the handler framework in the JAX-WS specification for full details.
      Specified by:
        `handleMessage` in interface `javax.xml.ws.handler.Handler`
      Parameters:
        `context` - the message context.
      Returns:
        An indication of whether handler processing should continue for the current message
        - Return `true` to continue processing.
        - Return `false` to block processing.
      Throws:
        `java.lang.RuntimeException` - Causes the JAX-WS runtime to cease handler processing and generate a fault.
        `javax.xml.ws.ProtocolException` - Causes the JAX-WS runtime to switch to fault message processing.

    - #### handleFault

          public boolean handleFault(javax.xml.ws.handler.MessageContext context)

      The `handleFault` method is invoked for fault message processing. Refer to the description of the handler framework in the JAX-WS specification for full details.
      Specified by:
        `handleFault` in interface `javax.xml.ws.handler.Handler`
      Parameters:
        `context` - the message context
      Returns:
        An indication of whether handler fault processing should continue for the current message
        - Return `true` to continue processing.
        - Return `false` to block processing.
      Throws:
        `java.lang.RuntimeException` - Causes the JAX-WS runtime to cease handler fault processing and dispatch the fault.
        `javax.xml.ws.ProtocolException` - Causes the JAX-WS runtime to cease handler fault processing and dispatch the fault.

    - #### close

          public void close(javax.xml.ws.handler.MessageContext context)

      Called at the conclusion of a message exchange pattern just prior to the JAX-WS runtime disptaching a message, fault or exception. Refer to the description of the handler framework in the JAX-WS specification for full details.
      Specified by:
        `close` in interface `javax.xml.ws.handler.Handler`
      Parameters:
        `context` - the message context